Popovers

Angular Bootstrap 5 Popovers component

Documentation and examples for adding popovers, like those found in iOS, to any element on your site.

Note: Read the API tab to find all available options and advanced customization


Basic example

Popovers are overlays that open on demand and are mainly used on elements to display more content on floating cards, triggered by clicking or hovering.

        
            
            <button
              type="button"
              class="btn btn-lg btn-danger"
              mdbPopover="And here's some amazing content. It's very engaging. Right?"
              mdbPopoverTitle="Popover title"
            >
              Click to toggle popover
            </button>
          
        
    

Overview

Things to know when using the popovers:

  • Popovers are opt-in for performance reasons, so you must initialize them yourself.
  • Zero-length mdbPopoverTitle and mdbPopover values will never show a popover.
  • Triggering popovers on hidden elements will not work.
  • Popovers for .disabled or disabled elements must be triggered on a wrapper element.
  • Popovers must be hidden before their corresponding elements have been removed from the DOM.
  • Popovers can be triggered thanks to an element inside a shadow DOM.

Four directions

Four options are available: top, right, bottom, and left aligned.

        
            
            <button
              type="button"
              class="btn btn-secondary me-2"
              placement="top"
              mdbPopover="Vivamus sagittis lacus vel augue laoreet rutrum faucibus."
            >
              Popover on top
            </button>
            <button
              type="button"
              class="btn btn-secondary me-2"
              placement="right"
              mdbPopover="Vivamus sagittis lacus vel augue laoreet rutrum faucibus."
            >
              Popover on right
            </button>
            <button
              type="button"
              class="btn btn-secondary me-2"
              placement="bottom"
              mdbPopover="Vivamus sagittis lacus vel augue laoreet rutrum faucibus."
            >
              Popover on bottom
            </button>
            <button
              type="button"
              class="btn btn-secondary"
              placement="left"
              mdbPopover="Vivamus sagittis lacus vel augue laoreet rutrum faucibus."
            >
              Popover on left
            </button>
          
        
    

Dismiss on next click

Use the focus trigger to dismiss popovers on the user’s next click of a different element than the toggle element.

Specific markup required for dismiss-on-next-click:
For proper cross-browser and cross-platform behavior, you must use the <a> tag, not the <button> tag, and you also must include a tabindex attribute.

        
            
            <a
              tabindex="0"
              class="btn btn-lg btn-danger"
              role="button"
              trigger="focus"
              mdbPopoverTitle="Dismissible popover"
              mdbPopover="Vivamus sagittis lacus vel augue laoreet rutrum faucibus."
              >Dismissible popover</a
            >
          
        
    

Disabled elements

Elements with the disabled attribute aren’t interactive, meaning users cannot hover or click them to trigger a popover (or tooltip). As a workaround, you’ll want to trigger the popover from a wrapper <div> or <span> and override the pointer-events on the disabled element.

For disabled popover triggers, you may also prefer data-mdb-trigger="hover" so that the popover appears as immediate visual feedback to your users as they may not expect to click on a disabled element.

        
            
            <span class="d-inline-block" mdbPopover="Disabled popover">
              <button class="btn btn-primary" style="pointer-events: none;" type="button" disabled>
                Disabled button
              </button>
            </span>
          
        
    

Custom template

Use ng-template reference as a value for [mdbPopover] input to display custom template. You can inlcude context data with [mdbPopoverData] input.

        
            
          <button
          type="button"
          class="btn btn-lg btn-danger"
          [mdbPopover]="template"
          mdbPopoverTitle="Popover custom template"
          [mdbPopoverData]="{ person: { name: 'John', surname: 'Doe' } }"
        >
          Click to toggle popover
        </button>
        <ng-template #template let-person="person">Current user: {{ person.name }} {{ person.surname }}</ng-template>
          
        
    

TAILWIND

GIFT for 2026

Purchase anything during the New Years Sale and get a Tailwind UI kit gift!

Popovers - API


Import

        
            
          import { MdbPopoverModule } from 'mdb-angular-ui-kit/popover';
          …
          @NgModule ({
            ...
            imports: [MdbPopoverModule],
            ...
          })
        
        
    

Inputs

Name Type Default Description
animation boolean true Apply a fade transition to the popover
delayHide number 0 Delay hiding the popover (ms)
delayShow number 0 Delay showing the popover (ms)
mdbPopover string '' Default content value if mdbPopover input isn't present
mdbPopoverData any - Defines data for template context
mdbPopoverTitle string '' Default title value if mdbPopoverTitle input isn't present
offset number 4 Offset of the popover relative to its target
placement MdbPopoverPosition 'top' How to position the popover - top | bottom | left | right
popoverDisabled boolean false Disables the display of the popover
trigger string 'click' How popover is triggered - click | hover | focus | manual. You may pass multiple triggers; separate them with a space. manual cannot be combined with any other trigger

Outputs

Name Type Description
popoverShow EventEmitter<MdbPopoverDirective> Fires when show animation starts.
popoverShown EventEmitter<MdbPopoverDirective> Fires when show animation ends.
popoverHide EventEmitter<MdbPopoverDirective> Fires when hide animation starts.
popoverHidden EventEmitter<MdbPopoverDirective> Fires when hide animation ends.
        
            
            <button
            type="button"
            class="btn btn-lg btn-danger"
            mdbPopover="And here's some amazing content. It's very engaging. Right?"
            mdbPopoverTitle="Popover title"
            #popover="mdbPopover"
            (popoverShow)="onPopoverShow($event)"
          >
            Click to toggle popover
          </button>                         
            
        
    
        
            
            import { Component } from '@angular/core';
            import { MdbPopoverDirective } from 'mdb-angular-ui-kit/popover';
            
            @Component({
              selector: 'app-root',
              templateUrl: './app.component.html',
              styleUrls: ['./app.component.scss'],
            })
            export class AppComponent {
              onPopoverShow(event: MdbPopoverDirective): void {
                console.log('popover show: ', event);
              }
            }                             
            
        
    

Methods

Name Description Example
hide Manually closes a popover popover.hide()
show Manually opens a popover popover.show()
toggle Manually toggle a popover popover.toggle()
        
            
              <button
                type="button"
                class="btn btn-lg btn-danger"
                mdbPopover="And here's some amazing content. It's very engaging. Right?"
                mdbPopoverTitle="Popover title"
                #popover="mdbPopover"
              >
                Click to toggle popover
              </button>
            
        
    
        
            
              import { AfterViewInit, Component, ViewChild } from '@angular/core';
              import { MdbPopoverDirective } from 'mdb-angular-ui-kit/popover';

              @Component({
                selector: 'app-root',
                templateUrl: './app.component.html',
                styleUrls: ['./app.component.scss']
              })
              export class AppComponent implements AfterViewInit {
                @ViewChild('popover') popover!: MdbPopoverDirective;

                ngAfterViewInit(): void {
                  this.popover.show();
                }
              }
            
        
    

CSS variables

As part of MDB’s evolving CSS variables approach, popover now use local CSS variables on .popover for enhanced real-time customization. Values for the CSS variables are set via Sass, so Sass customization is still supported, too.

        
            
        // .popover
        --#{$prefix}popover-zindex: #{$zindex-popover};
        --#{$prefix}popover-max-width: #{$popover-max-width};
        @include rfs($popover-font-size, --#{$prefix}popover-font-size);
        --#{$prefix}popover-bg: #{$popover-bg};
        --#{$prefix}popover-border-width: #{$popover-border-width};
        --#{$prefix}popover-border-color: #{$popover-border-color};
        --#{$prefix}popover-border-radius: #{$popover-border-radius};
        --#{$prefix}popover-inner-border-radius: #{$popover-inner-border-radius};
        --#{$prefix}popover-box-shadow: #{$popover-box-shadow};
        --#{$prefix}popover-header-padding-x: #{$popover-header-padding-x};
        --#{$prefix}popover-header-padding-y: #{$popover-header-padding-y};
        @include rfs($popover-header-font-size, --#{$prefix}popover-header-font-size);
        --#{$prefix}popover-header-color: #{$popover-header-color};
        --#{$prefix}popover-header-bg: #{$popover-header-bg};
        --#{$prefix}popover-body-padding-x: #{$popover-body-padding-x};
        --#{$prefix}popover-body-padding-y: #{$popover-body-padding-y};
        --#{$prefix}popover-body-color: #{$popover-body-color};
        --#{$prefix}popover-border-bottom-width: #{$popover-border-bottom-width};
        
        
    

SCSS variables

        
            
        $popover-font-size: $font-size-sm;
        $popover-bg: $white;
        $popover-max-width: 276px;
        $popover-inner-border-radius: subtract($popover-border-radius, $popover-border-width);

        $popover-header-font-size: $font-size-base;
        $popover-header-color: $headings-color;
        $popover-header-padding-y: 0.5rem;
        $popover-header-padding-x: $spacer;

        $popover-body-color: $body-color;
        $popover-body-padding-y: $spacer;
        $popover-body-padding-x: $spacer;

        $popover-box-shadow: $box-shadow-2;
        $popover-border-radius: $border-radius-lg;
        $popover-border-bottom-width: $border-width-alternate;
        $popover-border-width: 1px;
        $popover-border-color: hsl(0, 0%, 96%);
        $popover-header-bg: $white;

Popovers

React Bootstrap 5 Popovers component

Documentation and examples for adding popovers, like those found in iOS, to any element on your site.

Note: Read the API tab to find all available options and advanced customization


Basic example

        
            
          import React from 'react';
          import { MDBPopover, MDBPopoverBody, MDBPopoverHeader } from 'mdb-react-ui-kit';
          
          export default function App() {
            return (
              <MDBPopover size='lg' color='danger' btnChildren='Click to toggle popover' placement='right'>
                <MDBPopoverHeader>Popover title</MDBPopoverHeader>
                <MDBPopoverBody>And here's some amazing content. It's very engaging. Right?</MDBPopoverBody>
              </MDBPopover>
            );
          }
        
        
    

Overview

Things to know when using the popovers:

  • Popovers are opt-in for performance reasons, so you must initialize them yourself.
  • Zero-length <MDBPopoverHeader> and <MDBPopoverBody> values will never show a popover.
  • Triggering popovers on hidden elements will not work.
  • Popovers for .disabled or disabled elements must be triggered on a wrapper element.
  • When triggered from anchors that wrap across multiple lines, popovers will be centered between the anchors’ overall width. Add className .text-nowrap on your <MDBPopover>s to avoid this behavior.
  • Popovers must be hidden before their corresponding elements have been removed from the DOM.
  • Popovers can be triggered thanks to an element inside a shadow DOM.

Four directions

Four options are available: top, right, bottom, and left aligned.

        
            
          import React from 'react';
          import { MDBPopover, MDBPopoverBody, MDBPopoverHeader } from 'mdb-react-ui-kit';
          
          export default function App() {
            return (
              <>
                <MDBPopover color='secondary' btnChildren='Popover on top' placement='top'>
                  <MDBPopoverHeader>Popover title</MDBPopoverHeader>
                  <MDBPopoverBody>And here's some amazing content. It's very engaging. Right?</MDBPopoverBody>
                </MDBPopover>
    
                <MDBPopover color='secondary' btnChildren='Popover on right' placement='right'>
                  <MDBPopoverHeader>Popover title</MDBPopoverHeader>
                  <MDBPopoverBody>And here's some amazing content. It's very engaging. Right?</MDBPopoverBody>
                </MDBPopover>
    
                <MDBPopover color='secondary' btnChildren='Popover on bottom' placement='bottom'>
                  <MDBPopoverHeader>Popover title</MDBPopoverHeader>
                  <MDBPopoverBody>And here's some amazing content. It's very engaging. Right?</MDBPopoverBody>
                </MDBPopover>
    
                <MDBPopover color='secondary' btnChildren='Popover on left' placement='left'>
                  <MDBPopoverHeader>Popover title</MDBPopoverHeader>
                  <MDBPopoverBody>And here's some amazing content. It's very engaging. Right?</MDBPopoverBody>
                </MDBPopover>
              </>
            );
          }
        
        
    

Dismiss on next click

Use the dismiss trigger to dismiss popovers on the user’s next click of a different element than the toggle element.

        
            
          import React from 'react';
          import { MDBPopover, MDBPopoverBody, MDBPopoverHeader } from 'mdb-react-ui-kit';
          
          export default function App() {
            return (
              <MDBPopover size='lg' color='danger' btnChildren='Dismissible popover' dismiss  placement='right'>
                <MDBPopoverHeader>Dismissible popover</MDBPopoverHeader>
                <MDBPopoverBody>And here's some amazing content. It's very engaging. Right?</MDBPopoverBody>
              </MDBPopover>
            );
          }
        
        
    

Disabled elements

Elements with the disabled attribute aren’t interactive, meaning users cannot click them to trigger a popover (or tooltip). As a workaround create btnChildren element with attribute disable and change wrapper tag tag='span'.

        
            
          import React from 'react';
          import { MDBPopover, MDBPopoverBody, MDBBtn } from 'mdb-react-ui-kit';
          
          export default function App() {
            return (
              <MDBPopover
                tag='span'
                btnClassName='d-inline-block'
                btnChildren={<MDBBtn disabled>Disabled button</MDBBtn>}
                placement='right'
              >
                <MDBPopoverBody>Disabled popover</MDBPopoverBody>
              </MDBPopover>
            );
          }
        
        
    

TAILWIND

GIFT for 2026

Purchase anything during the New Years Sale and get a Tailwind UI kit gift!

Popovers - API


Import

        
            
            import { MDBPopover, MDBPopoverBody, MDBPopoverHeader } from 'mdb-react-ui-kit';
            
        
    

Properties

MDBPopover

Name Type Default Description Example
btnChildren ReactNode MDBBtn Render elements to button children <MDBPopover btnChildren="text" />
btnClassName String '' Add custom classes to MDBBtn <MDBPopover btnClassName="text" />
dismiss Boolean false Set dismiss on the next click <MDBPopover dismiss />
open Boolean false Set open popover on mounted component <MDBPopover open={true} />
options Object {} Set custom options from react-popper options. <MDBPopover options={{modifiers:{...}}} />
placement String top Set placement to popper. <MDBPopover placement='bottom' />
poperStyle Object {} Set styles to popper element. <MDBPopover poperStyle={{height:100}} />
popperTag String {} Set custom tag to popper component.. <MDBPopover popperTag='span' />
disablePortal Boolean false When true, component will be rendered in standard DOM hierarchy. <MDBPopover disablePortal />

MDBPopoverBody

Name Type Default Description Example
tag String 'span' Defines tag of the MDBPopoverBody element <MDBPopoverBody tag="section" />

MDBPopoverHeader

Name Type Default Description Example
tag String 'span' Defines tag of the MDBPopoverHeader element <MDBPopoverHeader tag="section" />

Events

Name Type Description
onClose () => any Fires when the popover demands to be hidden.
onOpen () => any Fires when the popover demands to be shown.

CSS variables

As part of MDB’s evolving CSS variables approach, popover now use local CSS variables on .popover for enhanced real-time customization. Values for the CSS variables are set via Sass, so Sass customization is still supported, too.

        
            
        // .popover
        --#{$prefix}popover-zindex: #{$zindex-popover};
        --#{$prefix}popover-max-width: #{$popover-max-width};
        @include rfs($popover-font-size, --#{$prefix}popover-font-size);
        --#{$prefix}popover-bg: #{$popover-bg};
        --#{$prefix}popover-border-width: #{$popover-border-width};
        --#{$prefix}popover-border-color: #{$popover-border-color};
        --#{$prefix}popover-border-radius: #{$popover-border-radius};
        --#{$prefix}popover-inner-border-radius: #{$popover-inner-border-radius};
        --#{$prefix}popover-box-shadow: #{$popover-box-shadow};
        --#{$prefix}popover-header-padding-x: #{$popover-header-padding-x};
        --#{$prefix}popover-header-padding-y: #{$popover-header-padding-y};
        @include rfs($popover-header-font-size, --#{$prefix}popover-header-font-size);
        --#{$prefix}popover-header-color: #{$popover-header-color};
        --#{$prefix}popover-header-bg: #{$popover-header-bg};
        --#{$prefix}popover-body-padding-x: #{$popover-body-padding-x};
        --#{$prefix}popover-body-padding-y: #{$popover-body-padding-y};
        --#{$prefix}popover-body-color: #{$popover-body-color};
        --#{$prefix}popover-border-bottom-width: #{$popover-border-bottom-width};
        
        
    

SCSS variables

        
            
        $popover-font-size: $font-size-sm;
        $popover-bg: $white;
        $popover-max-width: 276px;
        $popover-inner-border-radius: subtract($popover-border-radius, $popover-border-width);

        $popover-header-font-size: $font-size-base;
        $popover-header-color: $headings-color;
        $popover-header-padding-y: 0.5rem;
        $popover-header-padding-x: $spacer;

        $popover-body-color: $body-color;
        $popover-body-padding-y: $spacer;
        $popover-body-padding-x: $spacer;

        $popover-box-shadow: $box-shadow-2;
        $popover-border-radius: $border-radius-lg;
        $popover-border-bottom-width: $border-width-alternate;
        $popover-border-width: 1px;
        $popover-border-color: hsl(0, 0%, 96%);
        $popover-header-bg: $white;

Popovers

Vue Bootstrap 5 Popover component

Documentation and examples for adding popovers, like those found in iOS, to any element on your site.

Note: Read the API tab to find all available options and advanced customization


Basic example

        
            
            <template>
              <MDBPopover v-model="popover1">
                <template #reference>
                  <MDBBtn color="danger" size="lg" @click="popover1 = !popover1">Click to toggle popover</MDBBtn>
                </template>
                <template #header>Popover header</template>
                <template #body>
                  And here's some amazing content. It's very engaging.
                  Right?
                </template>
              </MDBPopover>
            </template>
          
        
    
        
            
            <script>
              import { MDBPopover, MDBBtn} from "mdb-vue-ui-kit";
              import { ref } from 'vue';
              export default {
                components: {
                  MDBPopover,
                  MDBBtn
                },
                setup() {
                  const popover1 = ref(false);
                  return {
                    popover1
                  }
                }
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBPopover, MDBBtn} from "mdb-vue-ui-kit";
              import { ref } from 'vue';

              const popover1 = ref(false);
            </script>
          
        
    

Overview

Things to know when using the popovers:

  • Zero-length header and body slots values will never show a popover.
  • Triggering popovers on hidden elements will not work.
  • Popovers for .disabled or disabled elements must be triggered on a wrapper element.
  • When referenced from anchors that wrap across multiple lines, popovers will be centered between the anchors’ overall width. Use .text-nowrap on your #reference slot content to avoid this behavior.
  • Popovers must be hidden before their corresponding elements have been removed from the DOM.
  • Popovers can be triggered thanks to an element inside a shadow DOM.

Four directions

Four options are available: top, right, bottom, and left aligned for direction property.

        
            
            <template>
              <MDBPopover v-model="popover2" direction="top">
                <template #reference>
                  <MDBBtn color="secondary" @click="popover2 = !popover2">
                    Popover on top
                  </MDBBtn>
                </template>
                <template #body>
                  Vivamus sagittis lacus vel augue laoreet rutrum faucibus.
                </template>
              </MDBPopover>
              <MDBPopover v-model="popover3" direction="right">
                <template #reference>
                  <MDBBtn color="secondary" @click="popover3 = !popover3">
                    Popover on right
                  </MDBBtn>
                </template>
                <template #body>
                  Vivamus sagittis lacus vel augue laoreet rutrum
                  faucibus.
                </template>
              </MDBPopover>
              <MDBPopover v-model="popover4">
                <template #reference>
                  <MDBBtn color="secondary" @click="popover4 = !popover4">
                    Popover on bottom
                  </MDBBtn>
                </template>
                <template #body>
                  Vivamus sagittis lacus vel augue laoreet rutrum
                  faucibus.
                </template>
              </MDBPopover>
              <MDBPopover v-model="popover5" direction="left">
                <template #reference>
                  <MDBBtn color="secondary" @click="popover5 = !popover5">
                    Popover on left
                  </MDBBtn>
                </template>
                <template #body>
                  Vivamus sagittis lacus vel augue laoreet rutrum
                  faucibus.
                </template>
              </MDBPopover>
            </template>
          
        
    
        
            
            <script>
              import { MDBPopover, MDBBtn} from "mdb-vue-ui-kit";
              import { ref } from 'vue';
              export default {
                components: {
                  MDBPopover,
                  MDBBtn
                },
                setup() {
                  const popover2 = ref(false);
                  const popover3 = ref(false);
                  const popover4 = ref(false);
                  const popover5 = ref(false);
                  return {
                    popover2,
                    popover3,
                    popover4,
                    popover5,
                  }
                }
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBPopover, MDBBtn} from "mdb-vue-ui-kit";
              import { ref } from 'vue';

              const popover2 = ref(false);
              const popover3 = ref(false);
              const popover4 = ref(false);
              const popover5 = ref(false);
            </script>
          
        
    

Dismiss on next click

Use the dismissible property to dismiss popovers on the user’s next click of a different element than the toggle element.

Specific markup required for dismiss-on-next-click:
For proper cross-browser and cross-platform behavior, you must use the anchor element, not the button element, and you also must include a tabindex attribute.

        
            
            <template>
              <MDBPopover v-model="popover6" dismissible>
                <template #reference>
                  <a
                    class="btn btn-secondary"
                    tabindex="0"
                    @click="popover6 = !popover6"
                    >Dismissible popover</a
                  >
                </template>
                <template #header>Dismissible popover</template>
                <template #body>
                  And here's some amazing content. It's very engaging.
                  Right?
                </template>
              </MDBPopover>
            </template>
          
        
    
        
            
            <script>
              import { MDBPopover } from "mdb-vue-ui-kit";
              import { ref } from 'vue';
              export default {
                components: {
                  MDBPopover
                },
                setup() {
                  const popover6 = ref(false);
                  return {
                    popover6
                  }
                }
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBPopover } from "mdb-vue-ui-kit";
              import { ref } from 'vue';

              const popover6 = ref(false);
            </script>
          
        
    

Disabled elements

Elements with the disabled attribute aren’t interactive, meaning users cannot hover or click them to trigger a popover (or tooltip). As a workaround, you’ll want to trigger the popover from a wrapper <div> or <span> and override the pointer-events on the disabled element.

For disabled popover triggers, you may also prefer to use hover property so that the popover appears as immediate visual feedback to your users as they may not expect to click on a disabled element.

        
            
            <template>
              <MDBPopover v-model="popover7">
                <template #reference>
                  <span @click="popover7 = !popover7">
                    <MDBBtn color="primary" disabled>Disabled button</MDBBtn>
                  </span>
                </template>
                <template #body>Disabled popover</template>
              </MDBPopover>
            </template>
          
        
    
        
            
            <script>
              import { MDBPopover, MDBBtn } from "mdb-vue-ui-kit";
              import { ref } from 'vue';
              export default {
                components: {
                  MDBPopover,
                  MDBBtn
                },
                setup() {
                  const popover7 = ref(false);
                  return {
                    popover7
                  }
                }
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBPopover, MDBBtn } from "mdb-vue-ui-kit";
              import { ref } from 'vue';

              const popover7 = ref(false);
            </script>
          
        
    

TAILWIND

GIFT for 2026

Purchase anything during the New Years Sale and get a Tailwind UI kit gift!

Popovers - API


Import

        
            
          <script>
            import {
              MDBPopover
            } from 'mdb-vue-ui-kit';
          </script>
        
        
    

Properties

Property Type Default Description
boundary String 'clippingParents' Overflow constraint boundary of the popover (applies only to Popper's preventOverflow modifier). Accepts the values of 'viewport', 'window', 'scrollParent', or an HTMLElement selector. For more information refer to Popper's detectOverflow docs.
tag String "span" Defines tag element wrapping reference slot.
reference String Sets custom selector for reference element instead of slot
popover String Sets custom selector for popover content instead of #header and #body slots
options Object {} Allows to change the default Popper config, see Popper's configuration.
offset String Offset of the popover relative to its target.
direction String "top" Position the tooltip relative to its target - top | bottom | left | right.
maxWidth Number 276 Sets max width of the popover element
arrow Boolean false Adds an arrow to a popver element
dismissible Boolean false Allows to close popover on click outside its content
hover Boolean false Allows to open popover on mouseover event

Slots

Name Description Example
reference Popover triggering action target <template #reference><MDBBtn color="danger" size="lg" @click="popover = !popover">Click to toggle popover</MDBBtn></template>
header Slotted content will be wrapped in a div.popover-header and used as such <template #header>Hi! I'm popover header</template>
body Slotted content will be wrapped in a div.popover-heabodyder and used as such <template #body>Hi! I'm popover body</template>
[default] If you place something within MDBPopover without specifying slots, it will be used similarly to the as popover content, yet the content shall still require wrapping in a div.poover-body. <MDBPopover><div class="poover-body"> This is a content</div></MDBPopover>

CSS variables

As part of MDB’s evolving CSS variables approach, popover now use local CSS variables on .popover for enhanced real-time customization. Values for the CSS variables are set via Sass, so Sass customization is still supported, too.

        
            
        // .popover
        --#{$prefix}popover-zindex: #{$zindex-popover};
        --#{$prefix}popover-max-width: #{$popover-max-width};
        @include rfs($popover-font-size, --#{$prefix}popover-font-size);
        --#{$prefix}popover-bg: #{$popover-bg};
        --#{$prefix}popover-border-width: #{$popover-border-width};
        --#{$prefix}popover-border-color: #{$popover-border-color};
        --#{$prefix}popover-border-radius: #{$popover-border-radius};
        --#{$prefix}popover-inner-border-radius: #{$popover-inner-border-radius};
        --#{$prefix}popover-box-shadow: #{$popover-box-shadow};
        --#{$prefix}popover-header-padding-x: #{$popover-header-padding-x};
        --#{$prefix}popover-header-padding-y: #{$popover-header-padding-y};
        @include rfs($popover-header-font-size, --#{$prefix}popover-header-font-size);
        --#{$prefix}popover-header-color: #{$popover-header-color};
        --#{$prefix}popover-header-bg: #{$popover-header-bg};
        --#{$prefix}popover-body-padding-x: #{$popover-body-padding-x};
        --#{$prefix}popover-body-padding-y: #{$popover-body-padding-y};
        --#{$prefix}popover-body-color: #{$popover-body-color};
        --#{$prefix}popover-arrow-width: #{$popover-arrow-width};
        --#{$prefix}popover-arrow-height: #{$popover-arrow-height};
        --#{$prefix}popover-arrow-border: var(--#{$prefix}popover-border-color);
        --#{$prefix}popover-border-bottom-width: #{$popover-border-bottom-width};
        
        
    

SCSS variables

        
            
        $popover-font-size: $font-size-sm;
        $popover-bg: var(--#{$prefix}surface-bg);
        $popover-max-width: 276px;
        $popover-inner-border-radius: calc(
          #{$popover-border-radius} - #{$popover-border-width}
        );

        $popover-header-font-size: $font-size-base;
        $popover-header-bg: var(--#{$prefix}secondary-bg);
        $popover-header-color: $headings-color;
        $popover-header-padding-y: 0.5rem;
        $popover-header-padding-x: $spacer;

        $popover-body-color: var(--#{$prefix}surface-color);
        $popover-body-padding-y: $spacer;
        $popover-body-padding-x: $spacer;

        $popover-arrow-width: 1rem;
        $popover-arrow-height: 0.5rem;

        $popover-arrow-color: $popover-bg;
        $popover-arrow-outer-color: var(--#{$prefix}border-color-translucent);

        $popover-box-shadow: $box-shadow-2;
        $popover-border-radius: $border-radius-lg;
        $popover-border-bottom-width: $border-width-alternate;
        $popover-border-width: 1px;
        $popover-border-color: var(--#{$prefix}divider-color);